﻿function Asi_WebRoot_AsiCommon_ContentManagement_DownloadDocument() {

    var javascriptTextPrefix = 'javascript://[';//href placeholder for button click logic created in ContentLinkDialog.js
    var javascriptTextSuffix = ']';//also used for placeholder href
    var downloadButton;
    var hiddenField;
    var my;

    this.OnLoad = function (downloadButtonId, hiddenDownloadField) {
        my = this;
        downloadButton = jQuery(downloadButtonId);
        hiddenField = jQuery(hiddenDownloadField);
        var container = downloadButton.closest(".ContentItemContainer");
        //look for links with href placeholders created by ContentLinkDialog.js for download file links
        container.find("a[href^='javascript://']").each(function () {
            jQuery(this).click(function () {
                my.OnClick(jQuery(this).prop("href"));
            });
        });
    };

    this.OnClick = function (href) {
        //parse out path
        var path = my.ExtractPathFromHref(href);
        hiddenField.val(path);
        downloadButton.click();//sends to server for requested file
    };

    this.ExtractPathFromHref = function (pathWithinJavascript) {
        var startIndex = javascriptTextPrefix.length;
        var endIndex = pathWithinJavascript.length - javascriptTextSuffix.length;
        var pathWithoutJavascript = pathWithinJavascript.slice(startIndex, endIndex);
        return pathWithoutJavascript;
    };
}